
/**
 * Created by admin on 2021/4/5.
 * 
 */
define(['jquery', "Tools","user"], function ($, Tools) {
    //数据存储
    var module = {
        uuid: ''  //验证码uuid
    };
    //自定义公共方法
    var tools = new Tools();

    //默认进入页面加载方法
    module.init = function (page) {
        //点击登录
        $('#login-submit').on('click', module.login)
        //点击图形验证码
        $('#graphicImg').on('click', module.verificationCode)
        //图形验证码加载
        module.verificationCode()
        //背景高度
        module.register()
        //网站配置信息（网站名称 底部联系方式 公安备案号 网站备案号）
        tools.getWebConfig();
        document.onkeydown = function (event) {
            var e = event || window.event;
            if (e && e.keyCode == 13) { //回车键的键值为13
                $("#login-submit").click(); //调用登录按钮的登录事件
            }
        };
    };

    //底部友情链接
    module.bottomFriendsLinks = function (data) {
        if (data.code == 200) {
            var content = data.data;
            console.log(content)
            module.data.friendsLinksList = content;
            var friendsLinksData = template('friendsLinksData', module.data);
            $("#friendsLinksContent").html(friendsLinksData);
        }
    }
    /*-----------------------------自定义方法-------------------------------------*/
    //登录方式切换
    loginTab = function(type){
        document.getElementById('loginTab').style.display = 'none'
        document.getElementById('phoneTab').style.display = 'none'
        document.getElementById(type+'Tab').style.display = 'block'
    }
    //背景高度
    module.register = function(){
        document.getElementById('registerBody').style.height = (document.body.offsetHeight - 112) +'px';
    }
    //图形验证码
    module.verificationCode = function () {
        tools.doGet(captchaImage_get, {}, module.verificationAjax, true)
    }
    module.verificationAjax = function (data) {
        if (data.code == 200) {
            $('#graphicImg').attr('src', 'data:image/gif;base64,' + data.img)
            module.uuid = data.uuid;
        }
    }
    //用户登录
    module.login = function () {
        if (module.check()) {
            var data = {};
            var usernameVal = $('#username').val();
            var passwordVal = $('#password').val();
            var codeVal = $('#code').val();
            data['username'] = usernameVal;
            data['password'] = passwordVal;
            data['code'] = codeVal;
            data['uuid'] = module.uuid;
            tools.doPost(login_post, data, module.loginData, true)
        }
    };
    //手动验证表单
    module.check = function () {
        var usernameVal = $('#username').val();
        var passwordVal = $('#password').val();
        var codeVal = $('#code').val();
        /* 手机号 */
        if (usernameVal == '') {
            $('#username')[0].focus()
            tools.initTips('请输入用户名', 'right', $('#username')[0], 2000)
            return false;
        }
        /* 密码 */
        if (passwordVal == '') {
            $('#password')[0].focus()
            tools.initTips('请输入密码', 'right', $('#password')[0], 2000)
            return false;
        } else if (parseInt(passwordVal.length) < 6 || parseInt(passwordVal.length) > 18) {
            $('#password')[0].focus()
            tools.initTips('请输入正确格式密码', 'right', $('#password')[0], 2000)
            return false;
        }
        /*图形验证码*/
        if (module.uuid == '' || codeVal == '') {
            $('#code')[0].focus()
            tools.initTips('请输入图形验证码', 'right', $('#code')[0], 2000)
            return false;
        }
        return true;
    }
    //登录校验
    module.loginData = function (data) {
        console.log(data)
        if (data.code == 500) {
            module.verificationCode()
        } else {
            tools.setCookie('Admin-Token', data.token, 24 * 60 * 60)
            //用户资料
            tools.doGet(userData, {}, module.userData);
            //tools.skip('/')
        }
    }
    //个人中心用户信息
    module.userData = function(data){
        if (data.code == 200) {
            var content = data.user;
            console.log(content)
            tools.setCookie('userId', content.userId, 24 * 60 * 60);
            tools.doGet(userMember + '/' + content.userId, {}, module.userMember);//memberType 1个人 2单位
        }
    }

    //个人中心用户资料
    module.userMember = function(data){
        if (data.code == 200) {
            var content = data.data;
            console.log(data)
            console.log(content.realname)
            tools.setCookie('userName', content.realname, 24 * 60 * 60);
            tools.setCookie('memberId', content.id, 24 * 60 * 60);
            tools.setCookie('idCardNum',content.idCardNum,24 * 60 * 60)
            tools.setCookie('phone',content.phone,24 * 60 * 60)
            tools.setCookie('address',content.address,24 * 60 * 60)
            tools.setCookie('bankAddress',content.bankAddress,24 * 60 * 60)
            tools.setCookie('bankCardName',content.bankCardName,24 * 60 * 60)
            tools.setCookie('bankCardNum',content.bankCardNum,24 * 60 * 60)
            tools.skip('/')
        }
    }
    return module;
});